Main Page Widgets Namespaces Book

# Glib::Value< unsigned long long > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Value< unsigned long long >:

[legend]
List of all members.

### template<>
class Glib::Value< unsigned long long >

## Public Types
typedef unsigned long long | CppType
typedef guint64 | CType
## Public Member Functions
void | set (unsigned long long data)
unsigned long long | get () const
## Static Public Member Functions
GType | value_type () G_GNUC_CONST

## Member Typedef Documentation

typedef unsigned long long Glib::Value<unsigned long long>::CppType

typedef guint64 Glib::Value<unsigned long long>::CType

## Member Function Documentation

unsigned long long Glib::Value<unsigned long long>::get | ( |  | ) | const

void Glib::Value<unsigned long long>::set | ( | unsigned long long | data | ) |

GType Glib::Value<unsigned long long>::value_type | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- value_basictypes.h